#include <bits/stdc++.h>

using namespace std;

int nadjiK(int v){
    int rez=1;

    while(rez<v){
        rez*=10;
    }

    return rez/10;
}

int main()
{
    int V,br=0;
    int a[] = {1,2,5};

    scanf("%d",&V);

    int k=nadjiK(V);
    int d;

    while(V>1){
        for(d=2;d>=0;d--){
            br+=V/(a[d]*k);
            V=V%(a[d]*k);
        }
        k/=10;
    }


    printf("%d",br+V);

    return 0;
}